<?php

namespace Drupal\webform_headless\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\webform\WebformInterface;
use Drupal\webform_headless\Submitter;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

/**
 * Controller for creating a submission.
 */
class CreateSubmissionController implements ContainerInjectionInterface {

  /**
   * The submitter.
   */
  protected readonly Submitter $submitter;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container): static {
    $instance = new static();
    $instance->submitter = $container->get('webform_headless.submitter');

    return $instance;
  }

  /**
   * Creates a submission.
   */
  public function __invoke(WebformInterface $webform, Request $request): ?JsonResponse {
    return $this->submitter->createSubmission($webform, $request);
  }

}
