<?php

namespace Drupal\webform_headless\Exception;

/**
 * Exception thrown when a webform is not accessible.
 */
class WebformAccessDeniedException extends \RuntimeException {

  /**
   * The error messages.
   *
   * @var string[]
   */
  protected array $errors = [];

  /**
   * Sets the errors.
   *
   * @param string[] $errors
   *   The error messages.
   */
  public function setErrors(array $errors): void {
    $this->errors = $errors;
  }

  /**
   * Adds an error.
   *
   * @param string $error
   *   The error message.
   */
  public function addError(string $error): void {
    $this->errors[] = $error;
  }

  /**
   * Gets the errors.
   *
   * @return string[]
   *   The error messages.
   */
  public function getErrors(): array {
    return $this->errors;
  }

}
