<?php

namespace Drupal\webform_headless;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\webform_headless\Annotation\WebformJsonSchema;

/**
 * The WebformJsonSchema plugin manager.
 *
 * @method \Drupal\webform_headless\WebformJsonSchemaInterface createInstance($plugin_id, array $configuration = [])
 */
class WebformJsonSchemaManager extends DefaultPluginManager {

  /**
   * {@inheritdoc}
   */
  public function __construct(
    \Traversable $namespaces,
    CacheBackendInterface $cache_backend,
    ModuleHandlerInterface $module_handler,
  ) {
    parent::__construct(
      'Plugin/WebformJsonSchema',
      $namespaces,
      $module_handler,
      WebformJsonSchemaInterface::class,
      Attribute\WebformJsonSchema::class,
      WebformJsonSchema::class
    );

    $this->alterInfo('webform_headless_json_schema');
    $this->setCacheBackend($cache_backend, 'webform_headless_json_schema');
  }

}
